{% extends "templates/form.njk" %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from "packages/components/inset-text/macro.njk" import insetText %}
{% from "packages/components/select/macro.njk" import select %}
{% from "macros/hrt-form-heading-with-para.njk" import hrtFormHeadingWithParagraph %}

{% block formContent %}

    {% set legendHtml = hrtFormHeadingWithParagraph({heading: heading, paragraph: paragraphOne}) %}

    {% call fieldset({
        legend: {
            isPageHeading: false,
            html: legendHtml
        }
        }) %}

        <p class="nhsuk-u-margin-bottom-1">{{ postcodeLabel }}</p>
        <p>{{ claim.sanitizedPostcode | upper }} <a href="{{contextPath}}/postcode?previous=select-address" class="nhsuk-u-margin-left-1" id="postcode-change-link">{{ change }}</a></p>

        <div class="nhsuk-select-address-container">
            {{ select({
                id: "address-results",
                name: "selectedAddress",
                label: {
                    "text": selectAddressLabel
                },
                items: addresses,
                errorMessage: errors | getErrorForField('selectedAddress')
            }) }}
        </div>
    {% endcall %}

    <p>
        <a id="address-not-listed-link" href='{{contextPath}}/manual-address'>{{ addressNotListed }}</a>
    </p>
{% endblock %}
